Subject: Re: bug#19300: 24.4.51; visual-line-mode messes up after-string rendering when it spans all window columns

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Dec 2014 19:03:42 +0200

> Date: Mon, 08 Dec 2014 18:40:36 +0200
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> >> and the length of each line there equals to the value reported by
> >> (window-width).
> >
> > Not here:
> 
> I'm sure it does. It depends on the test data only: 34 columns in the 
> first example, 32 columns in the second.
> 
> > I need to resize a bit the windows showing the overlays, in
> > order to see something similar to your images.
> 
> The scenarios intentionally resize the newly popped window to make sure 
> it's the right size.

I know.  But facts are stubborn things: I still need to resize.

> >> Without overlays, even when visual-line-mode is enabled, I can make a
> >> window body 34 chars wide and type 34 characters (maybe including
> >> spaces) on a line without seeing them break up.
> >
> > Are you saying that if you insert your test-string-1 and test-string-2
> > into the respective windows as buffer text, you see them displayed
> > differently than the overlay in the same window?
> 
> Hmm, actually no. Sorry about that. So the examples could be simplified 
> to just insert the respective test string, without overlays.
> 
> But I can open a different window, enable visual-line-mode, take its 
> (window-width), insert that numbers of characters on one line and not 
> see them wrapped.

Then please show a recipe for that.

> Could this be a bug in `enlarge-window-horizontally' and/or `window-width'?

Maybe, there's no way of guessing in advance.  It could also be that
this particular font has some weird metrics in it.

> > If so, I cannot
> > reproduce this: I see both the overlay and the buffer text wrap
> > exactly identically.
> 
> Have you installed Fira Mono and set it up, like the first code line in 
> the example does?

Yes, of course.